apiVersion: v1
kind: PersistentVolume
metadata:
  name: nfs-pv
  namespace: poc
spec:
  capacity:
    storage: 5Gi
  accessModes:
    - ReadWriteMany
  storageClassName: nfs
  nfs:
    server: 10.10.1.216 # NFS 서버의 IP 주소
    path: /nfs    # NFS 서버에서 export된 경로

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: nfs-pvc
  namespace: poc
spec:
  accessModes:
    - ReadWriteMany
  resources:
    requests:
      storage: 5Gi
  storageClassName: nfs

---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: etc-pv
  namespace: poc
spec:
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteOnce
  storageClassName: etc
  hostPath:
    path: /mnt/data/etc  # 호스트 경로

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: etc-pvc
  namespace: poc
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
  storageClassName: etc

---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: log-pv
  namespace: poc
spec:
  capacity:
    storage: 1Gi
  accessModes:
    - ReadWriteOnce
  storageClassName: log
  hostPath:
    path: /var/log/nginx  # 호스트 경로

---
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: log-pvc
  namespace: poc
spec:
  accessModes:
    - ReadWriteOnce
  resources:
    requests:
      storage: 1Gi
  storageClassName: log
